Subject: bug#9402: list-colors-display

From: Chong Yidong <[email-masked]>
Date: Wed, 31 Aug 2011 22:12:38 -0400

Jan Djärv <[email-masked]> writes:

> Well, Emacs does not try to avoid that either.  On a non-gtk, but X
> Emacs do emacs -Q -bg lightgoldenrod2
>
> and then mark some text.  The region face will be invisible.

The two cases differ.  If the user changes a color via Emacs, she should
be responsible for color clashes.  But if the user changes system colors
outside Emacs (e.g. via a desktop theme), and that leads to a color
clash in Emacs because Emacs only looks at the highlight color, that can
be considered an Emacs problem.

I don't think this is a huge problem, but it's certainly worth looking
into at some point.